const PlayEffectPicPath = "pictures/PlayEffect/"; 
const EasyTutorialPicPath = PlayEffectPicPath + "EasyTutorial/";
var easyTutorialPicArr = [];
var easyTutorial_Counter = 0;
var easyTutorial_flame = 0;
var easyTutorial_Endflame = 0;
let easyTutorial_MoveValue = -15;
let easyTutorial_MoveTime = 20;
let 簡易チュートリアル画像Arr = [];
Game_Interpreter.prototype.Play簡易チュートリアル演出_Start = function () {
    MenuStopFlg = true;
    easyTutorial_Counter = 0;
    easyTutorial_flame = 0;
    this.SetSpriteFIn(PN_SyogoGetBack , "Black" , 0 , 0 , 0 , 0 , easyTutorial_MoveTime , 150);
    easyTutorialPicArr = 簡易チュートリアル画像Arr;
    this.Play簡易チュートリアル演出_ViewPic();
}
Game_Interpreter.prototype.Play簡易チュートリアル演出_ViewPic = function () {
    easyTutorial_flame = 0;
    this.PlaySe("card");
    this.SetSprite(PN_ETyutoImg , EasyTutorialPicPath + easyTutorialPicArr[easyTutorial_Counter], 0 , easyTutorial_MoveValue);
    this.MoveSprite(PN_ETyutoImg , 0 , 0 , easyTutorial_MoveTime , 255);
    easyTutorial_Counter++;
}
Game_Interpreter.prototype.Play簡易チュートリアル演出_Update = function () {
    if (easyTutorial_Endflame > 0) { 
        easyTutorial_Endflame--;
        if (easyTutorial_Endflame == 0) {
            MenuStopFlg = false;
            this.DelSprite(PN_ETyutoBase);
            this.DelSprite(PN_ETyutoImg);
            return false;
        }
        return true;
    }
    easyTutorial_flame++;
    if (easyTutorial_flame > PlayEffectMoveTime) {
        if (TouchInput.isTriggered()) {
            if (easyTutorialPicArr.length > easyTutorial_Counter) {
                this.Play簡易チュートリアル演出_ViewPic();
            } else {
                easyTutorial_Endflame = easyTutorial_MoveTime; 
                this.MoveSprite(PN_ETyutoBase , true , true , easyTutorial_MoveTime , 0);
                this.MoveSprite(PN_ETyutoImg , true , true , easyTutorial_MoveTime , 0);
            }
        }
    }
    return true; 
}
let Play称号取得演出_flame = 0;
let Play称号取得演出_EndFlame = 0;
let PlayEffectMoveValue = 15;
let PlayEffectMoveTime = 20;
let Play称号取得演出Name = "";
Game_Interpreter.prototype.command128 = function() {
    var value = this.operateValue(this._params[1], this._params[2], this._params[3]);
    if (value > 0) Play称号取得演出Name = $dataArmors[this._params[0]].name;
    $gameParty.gainItem($dataArmors[this._params[0]], value, this._params[4]);
    return true;
};
let Play称号取得演出_BefMenuFlg = false;
Game_Interpreter.prototype.Play称号取得演出_Start = function () {
    Play称号取得演出_BefMenuFlg = Menu禁止Flg;
    Menu禁止Flg = true;
    Play称号取得演出_flame = 0;
    this.SetSpriteFIn(PN_SyogoGetBack , "Black" , 0 , 0 , 0 , 0 , PlayEffectMoveTime , 150);
    EasingStr = "easeOutQuad";
    this.SetSprite(PN_SyogoGetWin , PlayEffectPicPath + "PN_SyogoGetWin", 0 , PlayEffectMoveValue  );
    this.MoveSprite(PN_SyogoGetWin , 0 , 0 , PlayEffectMoveTime , 255);
    this.SpriteStrC(PN_SyogoGetText , "「" + Play称号取得演出Name+ "」" , 30 , 570 , 420 + PlayEffectMoveValue , 0);
    this.MoveSprite(PN_SyogoGetText , 570 , 420 , PlayEffectMoveTime);
    EasingStr = "";
    Play称号取得演出_EndFlame = 99999999999999;
}
Game_Interpreter.prototype.Play称号取得演出_Update = function () {
    Play称号取得演出_flame++;
    if (Play称号取得演出_flame > PlayEffectMoveTime) {
        if (TouchInput.isTriggered()) {
            Play称号取得演出_EndFlame = Play称号取得演出_flame + PlayEffectMoveTime;
            this.MoveSprite(PN_SyogoGetBack , true , true , PlayEffectMoveTime + 15 , 0);
            this.MoveSprite(PN_SyogoGetWin , true , true , PlayEffectMoveTime , 0);
            this.MoveSprite(PN_SyogoGetText , true , true , PlayEffectMoveTime , 0);
        }
    }
    NotPlayerMoveFlg = true;
    if (Play称号取得演出_EndFlame < Play称号取得演出_flame) {
        NotPlayerMoveFlg = false;
        Menu禁止Flg = Play称号取得演出_BefMenuFlg;
        return false;
    }
    return true;
}
const RecCounterPicPath = PlayEffectPicPath + "RecCounter/";
var PlayRecCounter表示中Flg = false;
var PlayRecCounterFlame = 0;
var PlayRecCounterIsPlay = false;
var PlayRecCounterSetX = 0;
var PlayRecCounterSetY = 0;
Game_Interpreter.prototype.PlayRecCounter_View = function (posX , posY) {
    posX = typeof posX !== 'undefined' ? posX : 0;
    posY = typeof posY !== 'undefined' ? posY : 0;
    PlayRecCounterSetX = posX;
    PlayRecCounterSetY = posY;
    this.SetSprite(PN_RecBase , RecCounterPicPath + "PN_RecBaseOff" , posX , posY);
    var txtPosX = PlayRecCounterSetX + 151;
    var txtPosY = PlayRecCounterSetY + 1;
    D_Text_Cng_font = "Digit";
    this.SpriteStr( PN_RecTxt + 0 , SCol.Def0 + "00" , 60 , txtPosX + 84 * 0 , txtPosY , 150);
    this.SpriteStr( PN_RecTxt + 1 , SCol.Def0 + "00" , 60 , txtPosX + 84 * 1 , txtPosY , 150);
    this.SpriteStr( PN_RecTxt + 2 , SCol.Def0 + "00" , 60 , txtPosX + 84 * 2 , txtPosY , 150);
    D_Text_Cng_font = "";
    PlayRecCounter表示中Flg = true;
    PlayRecCounterIsPlay = false;
    PlayRecCounterFlame = 0;
}
Game_Interpreter.prototype.PlayRecCounter_Start = function () {
    PlayRecCounterIsPlay = true;
    this.SetSprite(PN_RecBase , RecCounterPicPath + "PN_RecBaseOn" , PlayRecCounterSetX , PlayRecCounterSetY);
}
let PlayRecCounter_NUpdateSc = Game_Interpreter.prototype.NUpdateSc;
Game_Interpreter.prototype.NUpdateSc = function () {
    PlayRecCounter_NUpdateSc.call(this);
    this.PlayRecCounter_Update();
}
Game_Interpreter.prototype.PlayRecCounter_Update = function () {
    if (PlayRecCounter表示中Flg) {
        let total_seconds = PlayRecCounterFlame / 60;
        var txtPosX = PlayRecCounterSetX + 151;
        var txtPosY = PlayRecCounterSetY + 1;
        let GetZeroume = function (number) {
            return String(number).padStart(2, '0');
        }
        let hours = GetZeroume(Math.floor(total_seconds / 3600));
        let minutes = GetZeroume(Math.floor((total_seconds % 3600) / 60));
        let seconds = GetZeroume(Math.floor(total_seconds % 60));
        let textOpi = 150;
        if (PlayRecCounterIsPlay) {
            PlayRecCounterFlame++;
            textOpi = 255;
        }
        D_Text_Cng_font = "Digit";
        this.SpriteStr( PN_RecTxt + 0 , SCol.Def0 + hours , 60 , txtPosX + 84 * 0 , txtPosY , textOpi);
        this.SpriteStr( PN_RecTxt + 1 , SCol.Def0 + minutes , 60 , txtPosX + 84 * 1 , txtPosY , textOpi);
        this.SpriteStr( PN_RecTxt + 2 , SCol.Def0 + seconds , 60 , txtPosX + 84 * 2 , txtPosY , textOpi);
        D_Text_Cng_font = "";
    }
}
Game_Interpreter.prototype.PlayRecCounter_Stop = function () {
    this.SetSprite(PN_RecBase , RecCounterPicPath + "PN_RecBaseOff" , PlayRecCounterSetX , PlayRecCounterSetY);
    PlayRecCounterIsPlay = false;
}
Game_Interpreter.prototype.PlayRecCounter_End = function () {
    this.DelSpriteSpan(PN_RecBase , PN_RecTxt + 2);
    PlayRecCounter表示中Flg = false;
}
